org.eclipse.aether.internal.impl

## Class DefaultArtifactResolver

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultArtifactResolver

- All Implemented Interfaces:
    ArtifactResolver, Service

      @Named
      @Component(role=ArtifactResolver.class)
      public class DefaultArtifactResolver
      extends Object
      implements ArtifactResolver, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `ArtifactResult` | `resolveArtifact(RepositorySystemSession session, ArtifactRequest request)` Resolves the path for an artifact.
    `List<ArtifactResult>` | `resolveArtifacts(RepositorySystemSession session, Collection<? extends ArtifactRequest> requests)` Resolves the paths for a collection of artifacts.
    `DefaultArtifactResolver` | `setFileProcessor(FileProcessor fileProcessor)`
    `DefaultArtifactResolver` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultArtifactResolver` | `setOfflineController(OfflineController offlineController)`
    `DefaultArtifactResolver` | `setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)`
    `DefaultArtifactResolver` | `setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)`
    `DefaultArtifactResolver` | `setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)`
    `DefaultArtifactResolver` | `setSyncContextFactory(SyncContextFactory syncContextFactory)`
    `DefaultArtifactResolver` | `setUpdateCheckManager(UpdateCheckManager updateCheckManager)`
    `DefaultArtifactResolver` | `setVersionResolver(VersionResolver versionResolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactResolver

          public DefaultArtifactResolver()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultArtifactResolver setLoggerFactory(LoggerFactory loggerFactory)

    - #### setFileProcessor

          public DefaultArtifactResolver setFileProcessor(FileProcessor fileProcessor)

    - #### setRepositoryEventDispatcher

          public DefaultArtifactResolver setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)

    - #### setVersionResolver

          public DefaultArtifactResolver setVersionResolver(VersionResolver versionResolver)

    - #### setUpdateCheckManager

          public DefaultArtifactResolver setUpdateCheckManager(UpdateCheckManager updateCheckManager)

    - #### setRepositoryConnectorProvider

          public DefaultArtifactResolver setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)

    - #### setRemoteRepositoryManager

          public DefaultArtifactResolver setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)

    - #### setSyncContextFactory

          public DefaultArtifactResolver setSyncContextFactory(SyncContextFactory syncContextFactory)

    - #### setOfflineController

          public DefaultArtifactResolver setOfflineController(OfflineController offlineController)

    - #### resolveArtifact

          public ArtifactResult resolveArtifact(RepositorySystemSession session,
                                       ArtifactRequest request)
                                         throws ArtifactResolutionException

      Description copied from interface: `ArtifactResolver`
      Resolves the path for an artifact. The artifact will be downloaded if necessary.
      Specified by:
        `resolveArtifact` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`

    - #### resolveArtifacts

          public List<ArtifactResult> resolveArtifacts(RepositorySystemSession session,
                                              Collection<? extends ArtifactRequest> requests)
                                                throws ArtifactResolutionException

      Description copied from interface: `ArtifactResolver`
      Resolves the paths for a collection of artifacts. Artifacts will be downloaded if necessary.
      Specified by:
        `resolveArtifacts` in interface `ArtifactResolver`
      Throws:
        `ArtifactResolutionException`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.